#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBIx
%define		pnam	SearchBuilder
Summary:	DBIx::SearchBuilder - easy SQL SELECT Statement generation
Summary(pl.UTF-8):	DBIx::SearchBuilder - łatwe generowanie polecenia SQL SELECT
Name:		perl-DBIx-SearchBuilder
Version:	1.67
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBIx/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fb98b60569995a4d623e07df2e42646e
URL:		http://search.cpan.org/dist/DBIx-SearchBuilder/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Cache::Simple::TimedExpiry) >= 0.21
BuildRequires:	perl(Class::Accessor)
BuildRequires:	perl(Class::ReturnValue) >= 0.4
BuildRequires:	perl(DBIx::DBSchema)
BuildRequires:	perl(Want)
BuildRequires:	perl-Clone
BuildRequires:	perl-DBD-SQLite
BuildRequires:	perl-DBI
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.42
BuildRequires:	perl-capitalization >= 0.03
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_perl		DBD::Oracle

%description
DBIx::SearchBuilder -- easy SQL SELECT Statement generation.

%description -l pl.UTF-8
DBIx::SearchBuilder -- łatwe generowanie polecenia SQL SELECT.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/DBIx/*.pm
%{perl_vendorlib}/DBIx/SearchBuilder
%{_mandir}/man3/*
%changelog
* Wed Sep 20 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DBIx-SearchBuilder.git;a=log;h=master

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> c5aa64c
- up to 1.67

* Sat Feb 28 2015 Elan Ruusamäe <glen@delfi.ee> b3ec944
- update test BR

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> cdd4fe3
- up to 1.66

* Wed Oct 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c3c11a
- up to 1.65

* Wed Apr 17 2013 Jan Rękorajski <baggins@pld-linux.org> b7ce780
- updated noautoreq for rpm5
- rel 2

* Thu Mar 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6141d5d
- up to 1.63

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 34e6edf
- up to 1.61

* Wed May 11 2011 aredridel <aredridel@pld-linux.org> fe5aadf
- 1.59

* Thu Sep 10 2009 amateja <amateja@pld-linux.org> 7d104c9
- updated to 1.56
- added BR: perl(DBIx::DBSchema) and perl-capitalization >= 0.03

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> c002487
- updated to 1.55

* Fri Aug 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 49d590d
- up to 1.54

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ce8a38c
- up to 1.53

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 22cb9c5
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> c881c9f
- up to 1.50

* Tue Sep 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 595044c
- up to 1.49

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3f27698
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7ebe5f4
- converted to UTF-8

* Tue Oct 17 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> e88f666
- up to 1.45

* Tue Jun 06 2006 Jakub Bogusz <qboosh@pld-linux.org> c6d6f74
- sorted BRs

* Tue Jun 06 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 43b3399
- up to 1.43

